<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/laymain"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:background="@color/BLACK"
    android:orientation="vertical" >

    <LinearLayout
        
        android:layout_width="match_parent"
        android:layout_height="364dp"
        
        android:orientation="vertical" >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal" >

            <TextView
                android:id="@+id/textView1"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_weight="0.55"
                android:text="@string/mea1"
                android:textAppearance="?android:attr/textAppearanceLarge"
                android:textColor="@color/White" />

            <ToggleButton
                android:id="@+id/toggleButton1"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                 android:onClick="onClick"
                android:layout_weight="0.45"
                android:text="@string/tb"
                android:textOff="Connect"
                android:textColor="@color/White"
                android:textOn="Disconnect" />

        </LinearLayout>

        <TextView
            android:id="@+id/textView2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/White"
            android:text="@string/li" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="@color/White"
            android:orientation="horizontal" >

            <TextView
                android:id="@+id/textView3"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/White"
                android:text="@string/p1" />

            <TextView
                android:id="@+id/p1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textColor="@color/White"
                android:text="@string/em" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content" 
            android:textColor="@color/White">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:textColor="@color/White" >

                <TextView
                    android:id="@+id/textView4"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/vo1" 
                    android:textColor="@color/White"/>

                <TextView
                    android:id="@+id/v1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/em"
                    android:textColor="@color/White" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" 
            android:textColor="@color/White">

            <TextView
                android:id="@+id/textView6"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/cu" 
                android:textColor="@color/White"/>

            <TextView
                android:id="@+id/c1"
                android:layout_width="248dp"
                android:layout_height="wrap_content"
                android:text="@string/em" 
                android:textColor="@color/White"/>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="37dp"
            android:orientation="horizontal"
            android:textColor="@color/White" >

            <TextView
                android:id="@+id/textView8"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/White"
                android:text="@string/en1"
                android:textAppearance="?android:attr/textAppearanceMedium" />

            <TextView
                android:id="@+id/e1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textColor="@color/White"
                android:text="@string/em"
                android:textAppearance="?android:attr/textAppearanceMedium" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content" 
            android:textColor="@color/White">

            <Button
                android:id="@+id/b1a"
                style="?android:attr/buttonStyleSmall"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                 android:enabled="false"
                android:textColor="@color/White"
                android:onClick="onClick"
                android:text="@string/d1a" />

        </LinearLayout>

        <Button
            android:id="@+id/b1b"
            style="?android:attr/buttonStyleSmall"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
             android:enabled="false"
            android:textColor="@color/White"
            android:onClick="onClick"
            android:text="@string/b1b1" />

        <Button
            android:id="@+id/b1c"
            style="?android:attr/buttonStyleSmall"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
             android:enabled="false"
            android:textColor="@color/White"
            android:onClick="onClick"
            android:text="@string/d1c" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="@color/White" >

            <TextView
                android:id="@+id/textView10"
                android:layout_width="409dp"
                android:layout_height="match_parent"
                android:layout_weight="0.90"
                android:text="@string/of1"
                android:textAppearance="?android:attr/textAppearanceLarge"
                android:textColor="@color/White" />

            <Switch
                android:id="@+id/switch1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@color/White"
                android:enabled="false"
                android:text="@string/em"
                android:textColor="@color/BLACK"
                android:textOff="OFF"
                android:textOn="ON" />
        </LinearLayout>

        <TextView
            android:id="@+id/msg1"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="@color/White"
            android:text="@string/em" />

        <TextView
            android:id="@+id/textView5"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/li1"
            android:textAppearance="?android:attr/textAppearanceSmall"
            android:textColor="@color/White" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="371dp"
        android:orientation="vertical" >

        
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal" >

            <TextView
                android:id="@+id/textView11"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textColor="@color/White"
                android:layout_weight="0.55"
                android:text="@string/m2"
                android:textAppearance="?android:attr/textAppearanceLarge" />

            <ToggleButton
                android:id="@+id/toggleButton11"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                 android:onClick="onClick"
                android:textColor="@color/White"
                android:layout_weight="0.45"
                android:text="@string/tb2"
                android:textOff="Connect"
                android:textOn="Disconnect" />

        </LinearLayout>

        <TextView
            android:id="@+id/textView21"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/White"
            android:text="@string/li" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="@color/White"
            android:orientation="horizontal" >

            <TextView
                android:id="@+id/textView31"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/White"
                android:text="@string/p2" />

            <TextView
                android:id="@+id/p11"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textColor="@color/White"
                android:text="@string/em" />
        </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >

                <TextView
                    android:id="@+id/textView41"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/White"
                    android:text="@string/v2" />

                <TextView
                    android:id="@+id/v11"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textColor="@color/White"
                    android:text="@string/em" />
            </LinearLayout>
        

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" >

            <TextView
                android:id="@+id/textView61"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/White"
                android:text="@string/c2" />

            <TextView
                android:id="@+id/c11"
                android:layout_width="248dp"
                android:layout_height="wrap_content"
                android:textColor="@color/White"
                android:text="@string/em" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="37dp"
            android:textColor="@color/White"
            android:orientation="horizontal" >

            <TextView
                android:id="@+id/textView81"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/White"
                android:text="@string/e2"
                android:textAppearance="?android:attr/textAppearanceMedium" />

            <TextView
                android:id="@+id/e11"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textColor="@color/White"
                android:text="@string/em"
                android:textAppearance="?android:attr/textAppearanceMedium" />

        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content" >

            <Button
                android:id="@+id/b2a"
                style="?android:attr/buttonStyleSmall"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                 android:enabled="false"
                android:textColor="@color/White"
                android:onClick="onClick"
                android:text="@string/d1a" />

        </LinearLayout>

        <Button
            android:id="@+id/b2b"
            style="?android:attr/buttonStyleSmall"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
             android:enabled="false"
            android:textColor="@color/White"
            android:onClick="onClick"
            android:text="@string/b1b1" />

        <Button
            android:id="@+id/b2c"
            style="?android:attr/buttonStyleSmall"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
             android:enabled="false"
            android:textColor="@color/White"
            android:onClick="onClick"
            android:text="@string/d1c" />
        
         <LinearLayout
             android:layout_width="match_parent"
             android:layout_height="wrap_content" >

             <TextView
                 android:id="@+id/textView101"
                 android:layout_width="409dp"
                 android:layout_height="match_parent"
                 android:layout_weight="0.85"
                 android:text="@string/of2"
                 android:textAppearance="?android:attr/textAppearanceLarge"
                 android:textColor="@color/White" />

             <Switch
                 android:id="@+id/switch11"
                 android:layout_width="wrap_content"
                 android:layout_height="wrap_content"
                 android:background="@color/White"
                 android:enabled="false"
                 android:text="@string/em"
                 android:textColor="@color/BLACK"
                 android:textOff="OFF"
                 android:textOn="ON" />
         </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content" 
            >

            <TextView
                android:id="@+id/msg2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textColor="@color/White"
                android:text="@string/em" />

        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="45dp" >

        <Button
            android:id="@+id/button1"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
           
            android:textColor="@color/White"
            android:layout_weight="42.20"
            android:text="@string/setlimit" />

        <EditText
            android:id="@+id/editText1"
            android:layout_width="152dp"
            android:layout_height="60dp"
            android:textColor="@color/White"
            
            android:ems="10"
            android:hint="@string/limit"
            android:inputType="number" >

            <requestFocus />
        </EditText>

    </LinearLayout>

    <Button
        android:id="@+id/button5"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:textColor="@color/White"
        android:onClick="onClick"
        android:text="@string/d1b" />

    <TextView
        android:id="@+id/msg"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:textColor="@color/White"
        android:text="@string/em" />

</LinearLayout>